evaluator validation
Create evaluator validation outcomes
Requires scopes: eval:write
POST
/
api
/
evaluator-validation
/
outcomes
Create evaluator validation outcomes
curl --request POST \
--url https://evalgate.com/api/evaluator-validation/outcomes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"observedAt": "2023-11-07T05:31:56Z",
"outcomeValue": 123,
"outcomeKey": "<string>",
"metadata": {},
"evaluationRunId": 123,
"testResultId": 123,
"validationRunId": "<string>",
"observationKey": "<string>",
"treated": false,
"propensity": 123,
"period": "before"
}
'import requests
url = "https://evalgate.com/api/evaluator-validation/outcomes"
payload = {
"observedAt": "2023-11-07T05:31:56Z",
"outcomeValue": 123,
"outcomeKey": "<string>",
"metadata": {},
"evaluationRunId": 123,
"testResultId": 123,
"validationRunId": "<string>",
"observationKey": "<string>",
"treated": False,
"propensity": 123,
"period": "before"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
observedAt: '2023-11-07T05:31:56Z',
outcomeValue: 123,
outcomeKey: '<string>',
metadata: {},
evaluationRunId: 123,
testResultId: 123,
validationRunId: '<string>',
observationKey: '<string>',
treated: false,
propensity: 123,
period: 'before'
})
};
fetch('https://evalgate.com/api/evaluator-validation/outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outcome": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"evaluationRunId": 123,
"observedAt": "2023-11-07T05:31:56Z",
"testResultId": 123,
"validationRunId": "<string>",
"observationKey": "<string>",
"outcomeValue": 123,
"outcomeKey": "<string>",
"treated": false,
"propensity": 123,
"period": "<string>"
},
"linkedObservationCount": 123,
"validationRunIds": [
"<string>"
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Available options:
false Available options:
before ⌘I
Create evaluator validation outcomes
